@import "{}/imports/ui/stylesheets/not-found.less";
@import url('https://fonts.googleapis.com/css?family=Roboto|Anton|Raleway|Monoton|Covered+By+Your+Grace|Plaster|Rubik+Mono+One|Special+Elite');
p,
.headerNav {
  font-size: 1.5em;
}
.col-centered {
  float: none;
  margin: 0 auto;
}
li {
  list-style: none;
}
.generatedImage {
  max-width: 100%;
}
.content {
  display: table;
}
#child {
  display: table-cell;
  vertical-align: middle;
}
.stats input,
#artistInput {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  outline: none;
  display: block;
  width: 70%;
  padding: 7px;
  border: none;
  border-bottom: 1px solid #ddd;
  background: transparent;
  margin-bottom: 10px;
  font-size: 2em ;
  text-align: center;
  height: 45px;
  display: inline-flex;
}
#submitArtist,
#submitEmail,
.custom-button,
input[type="button"],
input[type="submit"] {
  font-size: 14px;
  padding: 10px 18px;
  text-decoration: none;
  text-transform: uppercase;
  width: 20%;
  border: 2px solid #3b78e7;
  background-color: white;
  font-family: Monoton;
}
.custom-button.button-small {
  width: auto !important;
  border: 1px solid #3b78e7;
}
#submitArtist:hover,
#submitEmail:hover,
.custom-button:hover,
input[type="button"]:hover,
input[type="submit"]:hover {
  color: white;
  -webkit-box-shadow: inset 0px 0px 0px 2px #ffffff;
  -moz-box-shadow: inset 0px 0px 0px 2px #ffffff;
  box-shadow: inset 0px 0px 0px 2px #ffffff;
}
.custom-button,
#submitArtist,
#submitEmail,
input[type="button"],
input[type="submit"] {
  width: 100%;
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px transparent;
  position: relative;
  background: #3b78e7;
  color: #3b78e7;
  -webkit-transition-property: color;
  transition-property: color;
  -webkit-transition-duration: 0.2s;
  transition-duration: 0.2s;
  max-width: 300px !important;
}
.custom-button:before,
#submitArtist:before,
#submitEmail:before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: white;
  color: #3b78e7;
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition-property: transform;
  transition-property: transform;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.custom-button:hover:before,
#submitArtist:hover:before,
#submitEmail:hover:before {
  //border-radius: 30px;
  -webkit-transform: scale(0);
  transform: scale(0);
  color: white;
}
.custom-button {
  position: relative;
  display: inline-block;
  letter-spacing: 1px;
  word-spacing: 2px;
}
.load-bar {
  position: relative;
  margin-top: 20px;
  width: 100%;
  height: 6px;
  background-color: #fdba2c;
}
.bar {
  content: "";
  display: inline;
  position: absolute;
  width: 0;
  height: 100%;
  left: 50%;
  text-align: center;
}
.bar:nth-child(1) {
  background-color: #da4733;
  animation: loading 3s linear infinite;
}
.bar:nth-child(2) {
  background-color: #3b78e7;
  animation: loading 3s linear 1s infinite;
}
.bar:nth-child(3) {
  background-color: #fdba2c;
  animation: loading 3s linear 2s infinite;
}
@keyframes loading {
  from {
    left: 50%;
    width: 0;
    z-index: 100;
  }
  33.3333% {
    left: 0;
    width: 100%;
    z-index: 10;
  }
  to {
    left: 0;
    width: 100%;
  }
}
.navbar-brand {
  font-family: Monoton;
  font-size: 2.2em;
  color: #3b78e7 !important;
}
.navbar-default {
  font-family: Monoton;
  background-color: white;
  border: none;
  z-index: 2;
}
.navbar-default .navbar-brand {
  border-color: white ;
}
.navbar-collapse.collapse.in {
  border-bottom: 2px dashed #3b78e7;
}
@media screen and (max-width: 500px) {
  .navbar-brand {
    font-size: 1.5em;
    padding-left: 0;
    padding-top: 18px;
  }
}
@media screen and (max-width: 400px) {
  .navbar-brand {
    font-size: 1em;
    padding-left: 0;
    padding-top: 18px;
  }
}
@media screen and (max-width: 1000px) {
  .navbar-brand {
    font-size: 1.5em;
    padding-left: 0;
    padding-top: 18px;
  }
  .content-body {
    padding: 5px;
  }
  #artistInput {
    width: 100%;
  }
  .menubutton span {
    font-family: Monoton;
    font-size: 0.5em;
    color: #3b78e7 !important;
    line-height: 0.5em;
    margin: 0;
  }
  .navbar-toggle.menubutton {
    margin-right: 0;
  }
}
.content {
  width: 100%;
  max-width: 100vw;
  min-height: 100vh;
}
.center-vh {
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}
.outer-centered {
  overflow: visible;
  padding-top: 100px;
  display: table;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  margin: 0;
}
.middle-centered {
  display: table-cell;
  vertical-align: middle;
  padding: 0;
  margin: 0;
}
.inner-centered {
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 50px;
}
p,
input,
span,
a {
  font-family: Roboto;
}
h1,
h2,
h3,
h4,
h5,
h6,
button {
  font-family: "Rubik Mono One" !important;
}
.uppercase {
  text-transform: uppercase;
}
.gallery * {
  max-width: 100%;
}
.gallery ul {
  padding: 0;
}
.share-buttons {
  display: inline;
}
.sharer {
  max-width: 600px;
  display: block;
  margin: 20px auto;
}
.singleImage {
  transition: all 0.2s ease;
  padding-bottom: 0px;
  padding-top: 0px;
  padding-left: 40px;
  padding-right: 40px;
}
.about .imageFrame {
  max-width: 600px !important;
}

.artistName {
  text-transform: uppercase;
  font-family: "Rubik Mono One";
  color: #3b78e7;
}
#imageOptionsDetails {
  display: none;
  padding: 0px 20px 20px 20px;
}
#imageOptionsDetails * {
  text-align: center;
}
.colorpicker {
  max-width: 150px;
}
.generatedImage {
  padding: 10px;
}
#imageUpload {
  margin-top: 20px;
}
.gallery .singleImage:nth-child(3n+1) {
  clear: left;
}
.colorpicker:before {
  display: none;
}
.imageOptionsButton {
  z-index: 10000;
}
canvas {
  border: 2px solid #3b78e7;
  background: black;
}
table {
  width: 100%;
}
table th,
table td:nth-child(2),
table td:nth-child(3),
table td:nth-child(4),
table td:nth-child(5) {
  text-align: center;
  min-width: 100px;
  vertical-align: middle !important;
}
#generatedImageWrapper {
  display: none;
}
.share-buttons span,
.share-buttons .googleplus-share,
.share-buttons .pinterest-share {
  display: none;
}
table,
table thead,
table tbody {
  width: 100% !important;
}
.dataTables_wrapper div {
  display: inline-flex;
  flex-direction: row;
  justify-content: space-around;
  padding: 20px;
}
.dataTables_wrapper .paginate_button {
  padding-left: 10px;
}
.stats {
  font-family: Raleway;
}
#social-main {
  display: inline-flex;
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 5px;
  box-shadow: 2px 2px rgba(0, 0, 0, 0.2);
  border: 1px solid rgba(0, 0, 0, 0.1);
}
#social-main > div {
  padding: 7px;
}
#social-main span {
  margin-top: 7px;
  margin-right: 7px;
}
.geniusLogo {
  vertical-align: top;
  margin-top: 4px;
  max-height: 1em;
}
.more-info {
  max-height: 0;
  color: white;
  opacity: 0;
  background-color: #3b78e7;
  padding: 0px;
  transition: all 0.5s ease;
}
.more-info-box {
  color: white;
  background-color: #3b78e7;
  padding: 20px;
  transition: all 0.5s ease;
}
a h1,
a h2,
a h3,
a h4 {
  text-decoration: none !important;
  transition: all 0.5s ease;
}
a:hover {
  text-decoration: none !important;
}
h1:hover a,
h2:hover a,
h3:hover a,
h4:hover a,
a:hover h1,
a:hover h2,
a:hover h3,
a:hover h4 {
  transform: scale(1.05);
  transition: all 0.5s ease;
  text-decoration: none;
}
.invertHover {
  transition: all 1s ease-in;
}
.invertHover:hover {
  filter: invert(100%);
  transition: all 0.3s ease-in;
}
.singleImage:hover .share-buttons {
  top: 0;
  transition: all 0.3s ease;
  position: relative;
  opacity: 1;
  z-index: -1;
}
.singleImage .share-buttons {
  transition: all 1s ease;
  opacity: 0;
  top: -50px;
}
.passepartout {
  border: 1px solid white;
  padding: 20px;
}
.about #artistInput {
  display: inline;
  width: 30%;
  min-width: 200px;
  font-size: 1.5em;
}
.about .artist-name {
  display: inline;
}
.about .create p {
  display: inline;
}
.about #submitArtist,
.about #submitEmail {
  max-width: 100px !important;
}
.gallery .imageFrame,
.gallery .imageFrame:hover ,
.about .imageFrame,
.about .imageFrame:hover {
  color: #3b78e7;
  box-shadow: 0 10px 16px 0 rgba(59,120,231, 0.2), 0 5px 20px 0 rgba(59,120,231, 0.19);
}
.CoveredByYourGrace {
  font-family: 'Covered By Your Grace', cursive;
}
.Plaster {
  font-family: 'Plaster', cursive;
}
.RubikMonoOne {
  font-family: 'Rubik Mono One', sans-serif;
}
.SpecialElite {
  font-family: 'Special Elite', cursive;
}
.Anton {
  font-family: 'Anton', sans-serif;
}
.Roboto {
  font-family: 'Roboto', sans-serif;
}
.fontPicker {
  display: flex;
  flex-wrap: wrap;
}
.fontPrev {
  padding: 5px;
  font-size: 1.5em;
}
#submitEmail {
  background: white;
}
#submitEmail:hover:before {
  background: pink !important;
  color: orange !important;
}
.more-info-box {
  text-align: justify;
}
#artistInput.marked::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: orangered;
}
#artistInput.marked:-moz-placeholder {
  /* Firefox 19+ */
  color: orangered;
}
#artistInput.marked:-ms-input-placeholder {
  /* IE 10+ */
  color: orangered;
}
#artistInput.marked:-moz-placeholder {
  /* Firefox 18- */
  color: orangered;
}
.imageOptionDetails {
  display: none;
}
.custom-button-inv {
  font-size: 10px;
  padding: 10px 10px;
  text-decoration: none;
  text-transform: uppercase;
  width: 20%;
  border: 2px solid white;
  background-color: #3b78e7;
  font-family: Monoton;
}
.custom-button-inv.button-small {
  width: auto !important;
  border: 1px solid white;
}
.custom-button-inv:hover {
  color: #3b78e7;
}
.custom-button-inv {
  width: 100%;
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px transparent;
  position: relative;
  background: white;
  color: white;
  -webkit-transition-property: color;
  transition-property: color;
  -webkit-transition-duration: 0.2s;
  transition-duration: 0.2s;
  max-width: 250px !important;
}
.custom-button-inv:before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #3b78e7;
  color: white;
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition-property: transform;
  transition-property: transform;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.custom-button-inv:hover:before {
  border-radius: 30px;
  -webkit-transform: scale(0);
  transform: scale(0);
  color: #3b78e7;
}
.custom-button-inv {
  position: relative;
  display: inline-block;
  letter-spacing: 1px;
  word-spacing: 3px;
}
.featured {
  display: -webkit-flex; /* Safari */
  -webkit-flex-wrap: wrap; /* Safari 6.1+ */
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin-bottom: 30px;
}
.featured > * {
  min-width:300px
}


  .featured>*:nth-child(1) {
    flex-basis: 100%;
  }
